%define ver 1.5.2
%define rel 1

Summary: IBus IME using libkkc as backend
Name: ibus-kkc
Version: %{ver}
Release: %{rel}%{_dist_release}
License: GPLv3
Group: System Environment/Libraries
URL: https://bitbucket.org/libkkc/
Source0: https://bitbucket.org/libkkc/ibus-kkc/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk3-devel
BuildRequires: ibus-devel
BuildRequires: libkkc-devel
BuildRequires: desktop-file-utils
Requires: libkkc-data

%description
IBus IME using libkkc as backend

%prep
%setup -q

%build
%configure --enable-shared
%__make

%install
%__rm -rf $RPM_BUILD_ROOT
%makeinstall

%{find_lang} %{name}

%clean
%__rm -rf $RPM_BUILD_ROOT

%check
%{_bindir}/desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-kkc.desktop

%post
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%postun
if [ -x %{_bindir}/update-desktop-database ] ; then
%{_bindir}/update-desktop-database %{_datadir}/applications
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS NEWS
%{_libexecdir}/ibus-engine-kkc
%{_libexecdir}/ibus-setup-kkc
%{_datadir}/applications/ibus-setup-kkc.desktop
%dir %{_datadir}/ibus-kkc
%dir %{_datadir}/ibus-kkc/icons
%{_datadir}/ibus-kkc/icons/ibus-kkc.svg
%dir %{_datadir}/ibus-kkc/setup
%{_datadir}/ibus-kkc/setup/ibus-kkc-preferences.ui
%{_datadir}/ibus/component/kkc.xml

%changelog
* Mon Jan 28 2013 IWAI, Masaharu <iwai@alib.jp> 1.5.2-1
- initial build for Vine Linux

